Skip to main content

Create Association

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_create_association

Create a new association that defines relationship types between entities like contacts, custom objects, and opportunities.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-association-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_association",
"arguments": {
"key": "key_example",
"firstObjectLabel": "",
"firstObjectKey": "",
"secondObjectLabel": "",
"secondObjectKey": "",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"key": {
"type": "string"
},
"firstObjectLabel": {},
"firstObjectKey": {},
"secondObjectLabel": {},
"secondObjectKey": {}
},
"required": [
"key",
"firstObjectLabel",
"firstObjectKey",
"secondObjectLabel",
"secondObjectKey"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-association-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_association",
"arguments": {
"key": "key_example",
"firstObjectLabel": "",
"firstObjectKey": "",
"secondObjectLabel": "",
"secondObjectKey": "",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_create_association executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}